
From: Alexander Kern <alex.kern@gmx.de>

Currently, atyfb has code that sets the hsync and vsync polarity based on the
current video mode, without letting the user override the settings.

Remove this particular code.  The sync polarities are set by the PROM, the
user or by the videomode.

Signed-off-by: Alexander Kern <alex.kern@gmx.de>
Signed-off-by: Antonino Daplas <adaplas@pol.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/video/aty/atyfb_base.c |   14 --------------
 1 files changed, 14 deletions(-)

diff -puN drivers/video/aty/atyfb_base.c~atyfb-remove-code-that-sets-sync-polarity-unconditionally drivers/video/aty/atyfb_base.c
--- devel/drivers/video/aty/atyfb_base.c~atyfb-remove-code-that-sets-sync-polarity-unconditionally	2005-08-21 21:54:03.000000000 -0700
+++ devel-akpm/drivers/video/aty/atyfb_base.c	2005-08-21 21:54:03.000000000 -0700
@@ -911,20 +911,6 @@ static int aty_var_to_crtc(const struct 
 		vdisplay  = par->lcd_height;
 #endif
 
-	if(vdisplay < 400) {
-		h_sync_pol = 1;
-		v_sync_pol = 0;
-	} else if(vdisplay < 480) {
-		h_sync_pol = 0;
-		v_sync_pol = 1;
-	} else if(vdisplay < 768) {
-		h_sync_pol = 0;
-		v_sync_pol = 0;
-	} else {
-		h_sync_pol = 1;
-		v_sync_pol = 1;
-	}
-
 	v_disp--;
 	v_sync_strt--;
 	v_sync_end--;
_
